#include "RemoteHookChargingInteraction.h"
#include "Net/UnrealNetwork.h"

class AActor;

void URemoteHookChargingInteraction::Server_SetCurrentTarget_Implementation(AActor* target)
{

}

void URemoteHookChargingInteraction::OnRep_CurrentTarget(const AActor* oldTarget)
{

}

void URemoteHookChargingInteraction::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(URemoteHookChargingInteraction, _currentTarget);
}

URemoteHookChargingInteraction::URemoteHookChargingInteraction()
{

}
